Loading...
Searching...
No Matches
svn_base64.h File Reference

Base64 encoding and decoding functions. More...

`#include <apr_pools.h>`
`#include "svn_types.h"`
`#include "svn_io.h"`
`#include "svn_string.h"`

Go to the source code of this file.

## Functions

svn_stream_t * | svn_base64_encode2 (svn_stream_t *output, svn_boolean_t break_lines, apr_pool_t *pool)
| Return a writable generic stream which will encode binary data in base64 format and write the encoded data to output.
svn_stream_t * | svn_base64_encode (svn_stream_t *output, apr_pool_t *pool)
| Same as svn_base64_encode2, but with break_lines always TRUE.
svn_stream_t * | svn_base64_decode (svn_stream_t *output, apr_pool_t *pool)
| Return a writable generic stream which will decode base64-encoded data and write the decoded data to output.
const svn_string_t * | svn_base64_encode_string2 (const svn_string_t *str, svn_boolean_t break_lines, apr_pool_t *pool)
| Encode an `svn_stringbuf_t` into base64.
const svn_string_t * | svn_base64_encode_string (const svn_string_t *str, apr_pool_t *pool)
| Same as svn_base64_encode_string2, but with break_lines always TRUE.
const svn_string_t * | svn_base64_decode_string (const svn_string_t *str, apr_pool_t *pool)
| Decode an `svn_stringbuf_t` from base64.
svn_stringbuf_t * | svn_base64_from_md5 (unsigned char digest[], apr_pool_t *pool)
| Return a base64-encoded checksum for finalized digest.

## Detailed Description

Base64 encoding and decoding functions.

# autotoc_md6

Definition in file svn_base64.h.